Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class StsFaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      org.apache.axis.AxisFault
                          org.eclipse.higgins.ics.ws.wsdl.StsFaultException

All Implemented Interfaces:
  Serializable

public class StsFaultException
extends org.apache.axis.AxisFault
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`StsFaultException()`
`StsFaultException(String action, String code, String detail, String reason, String subcode)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getAction()` Gets the action value for this StsFaultException.
`String` | `getCode()` Gets the code value for this StsFaultException.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getDetail()` Gets the detail value for this StsFaultException.
`String` | `getReason()` Gets the reason value for this StsFaultException.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`String` | `getSubcode()` Gets the subcode value for this StsFaultException.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setAction(String action)` Sets the action value for this StsFaultException.
`void` | `setCode(String code)` Sets the code value for this StsFaultException.
`void` | `setDetail(String detail)` Sets the detail value for this StsFaultException.
`void` | `setReason(String reason)` Sets the reason value for this StsFaultException.
`void` | `setSubcode(String subcode)` Sets the subcode value for this StsFaultException.
`void` | `writeDetails(javax.xml.namespace.QName qname, org.apache.axis.encoding.SerializationContext context)` Writes the exception data to the faultDetails

Methods inherited from class org.apache.axis.AxisFault
`addFaultDetail, addFaultDetail, addFaultDetailString, addFaultSubCode, addFaultSubCodeAsString, addHeader, addHostname, addHostnameIfNeeded, clearFaultDetails, clearFaultSubCodes, clearHeaders, dump, dumpToString, getFaultActor, getFaultCode, getFaultDetails, getFaultNode, getFaultReason, getFaultRole, getFaultString, getFaultSubCodes, getHeaders, lookupFaultDetail, makeFault, output, printStackTrace, printStackTrace, removeFaultDetail, removeHostname, setFaultActor, setFaultCode, setFaultCode, setFaultCodeAsString, setFaultDetail, setFaultDetailString, setFaultNode, setFaultReason, setFaultRole, setFaultString, toString`

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StsFaultException

    public StsFaultException()

### StsFaultException

    public StsFaultException(String action,
                             String code,
                             String detail,
                             String reason,
                             String subcode)

Method Detail

### getAction

    public String getAction()

  Gets the action value for this StsFaultException.

  Returns:
    action

### setAction

    public void setAction(String action)

  Sets the action value for this StsFaultException.

  Parameters:
    `action` -

### getCode

    public String getCode()

  Gets the code value for this StsFaultException.

  Returns:
    code

### setCode

    public void setCode(String code)

  Sets the code value for this StsFaultException.

  Parameters:
    `code` -

### getDetail

    public String getDetail()

  Gets the detail value for this StsFaultException.

  Returns:
    detail

### setDetail

    public void setDetail(String detail)

  Sets the detail value for this StsFaultException.

  Parameters:
    `detail` -

### getReason

    public String getReason()

  Gets the reason value for this StsFaultException.

  Returns:
    reason

### setReason

    public void setReason(String reason)

  Sets the reason value for this StsFaultException.

  Parameters:
    `reason` -

### getSubcode

    public String getSubcode()

  Gets the subcode value for this StsFaultException.

  Returns:
    subcode

### setSubcode

    public void setSubcode(String subcode)

  Sets the subcode value for this StsFaultException.

  Parameters:
    `subcode` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

### writeDetails

    public void writeDetails(javax.xml.namespace.QName qname,
                             org.apache.axis.encoding.SerializationContext context)
                      throws IOException

  Writes the exception data to the faultDetails

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD